Legacy API
Collaboration diagram for Legacy API:

## Modules

| Collection Control
| Threads
| Synchronization
| Events
| Memory Accesses
| Thread and Object States
| Frames

## group of functions is used for correctness checking tools

void ITTAPI | __itt_fsync_prepare (void *addr)
| Fast synchronization which does no require spinning. More...
void ITTAPI | __itt_fsync_cancel (void *addr)
| Fast synchronization which does no require spinning. More...
void ITTAPI | __itt_fsync_acquired (void *addr)
| Fast synchronization which does no require spinning. More...
void ITTAPI | __itt_fsync_releasing (void *addr)
| Fast synchronization which does no require spinning. More...

## Detailed Description

## Function Documentation

## __itt_fsync_acquired()

void ITTAPI __itt_fsync_acquired | ( | void * | addr | ) |

Fast synchronization which does no require spinning.

Deprecated:
  Legacy API

- This special function is to be used by TBB and OpenMP libraries only when they know there is no spin but they need to suppress TC warnings about shared variable modifications.

- It only has corresponding pointers in static library and does not have corresponding function in dynamic library.
  See also
    void __itt_sync_acquired(void *addr);

## __itt_fsync_cancel()

void ITTAPI __itt_fsync_cancel | ( | void * | addr | ) |

Fast synchronization which does no require spinning.

Deprecated:
  Legacy API

- This special function is to be used by TBB and OpenMP libraries only when they know there is no spin but they need to suppress TC warnings about shared variable modifications.

- It only has corresponding pointers in static library and does not have corresponding function in dynamic library.
  See also
    void __itt_sync_cancel(void *addr);

## __itt_fsync_prepare()

void ITTAPI __itt_fsync_prepare | ( | void * | addr | ) |

Fast synchronization which does no require spinning.

Deprecated:
  Legacy API

- This special function is to be used by TBB and OpenMP libraries only when they know there is no spin but they need to suppress TC warnings about shared variable modifications.

- It only has corresponding pointers in static library and does not have corresponding function in dynamic library.
  See also
    void __itt_sync_prepare(void* addr);

## __itt_fsync_releasing()

void ITTAPI __itt_fsync_releasing | ( | void * | addr | ) |

Fast synchronization which does no require spinning.

Deprecated:
  Legacy API

- This special function is to be used by TBB and OpenMP libraries only when they know there is no spin but they need to suppress TC warnings about shared variable modifications.

- It only has corresponding pointers in static library and does not have corresponding function in dynamic library.
  See also
    void __itt_sync_releasing(void* addr);

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.